--- title: "List policy rules" slug: "list-policy-rules" tags: ["Reference"] updated: 2026-09-03T18:40:43Z published: 2026-09-03T18:40:43Z canonical: "docs.trellix.com/list-policy-rules" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # List policy rules ### API URL `<ips-api-base>/policies/<policy-name>/rules` ### URL parameters `policy_type (mandatory) : ips_custom | ips_default` `offset, limit (optional): for pagination` ### Sample curl request `curl -gsvk -H "$c" --header "Accept: application/json" "https://<host>/ wsapis/v2.0.0/ips/policies/FireEye_Default/rules? policy_type=ips_default&limit=5&offset=10" | jq "."` ### Authentication Standard WSAPI authentication ### Method `GET` ### Response ``` [ { "severity": "7", "reference": "CVE-2011-0611,BID-47314", "signature_iden": 85300010, "protocol": "http", "block_status": 0, "blocked": "blockable", "rule_name": "Adobe Flash Player ActionScript callMethod Type Confusion Code Execution", "is_custom": false, "created_at": "2013-09-30T00:00:00", "category": "exploit", "enabled": true, "direction": "from_server" }, { "severity": "7", "reference": "CVE-2007-0015,BID-21829,SECUNIA-SA23540", "signature_iden": 85300011, "protocol": "http", "block_status": 0, "blocked": "blockable", "rule_name": "Apple QuickTime RTSP URL Buffer Overflow", "is_custom": false, "created_at": "2013-09-30T00:00:00", "category": "exploit", "enabled": true, "direction": "to_client" }, { "severity": "7", "reference": "CVE-2007-0015", "signature_iden": 85300012, "protocol": "http", "block_status": 0, "blocked": "blockable", "rule_name": "Apple QuickTime RTSP URL Buffer Overflow", "is_custom": false, "created_at": "2013-09-30T00:00:00", "category": "exploit", "enabled": true, "direction": "to_client" } ] ``` ### Response mime type `application/json` ### Response codes - 200 - no errors - 401 - auth error - 500 - internal error ### HTTP response codes - 200 - no errors - 401 - auth error - 429 - system busy, try after some time - 500 - internal error :